Page MenuHomePhabricator

Transcluding RecentChanges fails when using tags with spaces
Closed, DeclinedPublic

Description

Per T142878 - attempting to transclude

{{Special:RecentChanges/tagfilter=tagname}}

where tagname = a tag with a space eg:

{{Special:RecentChanges/tagfilter=possible vandalism}}

returns

No changes during the given period matching these criteria

where there are changes which would match normally.

Reported initally by Noyster at enWP

Event Timeline

Samtar created this task.Oct 12 2016, 11:39 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 12 2016, 11:39 AM
Samtar updated the task description. (Show Details)Oct 12 2016, 11:44 AM

Note: fails not only during transclusions, but also when just linking:

https://en.wikipedia.org/wiki/Special:RecentChanges/tagfilter%3Dblanking (WORKS)

https://en.wikipedia.org/wiki/Special:RecentChanges/tagfilter%3Dpossible_vandalism (DOES NOT WORK)

Converting _ to + or %20 also does not work.

Note: fails not only during transclusions, but also when just linking:

https://en.wikipedia.org/wiki/Special:RecentChanges/tagfilter%3Dblanking (WORKS)

https://en.wikipedia.org/wiki/Special:RecentChanges/tagfilter%3Dpossible_vandalism (DOES NOT WORK)

Converting _ to + or %20 also does not work.

Good spot @Xaosflux - do you have any idea if this has ever worked? I faintly recall being able to link to RecentChanges with tags but I could be mistaken

Use the "modern" way for transclusion:

{{Special:RecentChanges|tagfilter=Тексерілді деп белгіледі|days=30|limit=1000}}
Arystanbek added a subscriber: Arystanbek.EditedOct 13 2016, 4:46 PM

Use the "modern" way for transclusion:

{{Special:RecentChanges|tagfilter=Тексерілді деп белгіледі|days=30|limit=1000}}

I just tried but doesn't work. And following variant:

{{Special:RecentChanges/tagfilter=Тексерілді%20деп%20белгіледі,days=30,limit=1000}}

doesn't work.

Use the "modern" way for transclusion:

{{Special:RecentChanges|tagfilter=Тексерілді деп белгіледі|days=30|limit=1000}}

I was tried but doesn't work.

{{Special:RecentChanges|tagfilter=possible vandalism}}

works on enwiki, the other example was for kkwiki - see the pipe instead of the slash in the code

The change I proposed enabled tagfilter for transclusion like {{Special:RecentChanges/tagfilter=..., however, I strongly prefer the solution proposed by @Umherirrender. ENabling tagfilter was just a solution so that it works like any other possible parameter (which already should not work with transclusion). So, I would say this task is a WONTFIX (bugzilla times)/Declined (in phabricator times) :)

Umherirrender closed this task as Declined.Jan 1 2018, 2:00 PM

Using subpages as parameter is old way and has limitation, but a new way already exists and should be used.